% Markus Kowalsky
% The Johns Hopkins University

%$%%%%%%%%%%%%%%%%%%%%%%%%%    PARAMETERS    %%%%%%%%%%%%%%%%%%%%%%%%%$%
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$%
%$ data (just input data for each lead)                               $%
%$ Qbs (Q sample number)                                              $%
%$ Tbs (T sample number)                                              $%
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$%
%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%$%

function [SAI_QRSTs, I_QRSTs] = findIntegrals(data, Qbs, Tbs)
if length(Qbs) ~= length(Tbs)
  disp('The number of Qs and Ts do not match.');
  SAI_QRSTs = 0;
  I_QRSTs = 0;
  Qbs = 1;
  Tbs = 1;
  return;
else
  i = 1;
  SAI_QRSTs = zeros(size(Qbs));
  I_QRSTs = zeros(size(Qbs));
  for j = 1:length(data)
    if j > Tbs(length(Tbs)) || i > length(Tbs)
      break;
    elseif j >= Qbs(i) && j <= Tbs(i)
      SAI_QRSTs(i) = SAI_QRSTs(i) + abs(data(j))/2048;
      I_QRSTs(i) = I_QRSTs(i) + data(j)/2048;
    elseif j > Tbs(i)
      i = i + 1;
    end
  end
end
end

