% Markus Kowalsky
% The Johns Hopkins University

%$%%%%%%%%%%%%%%%%%%%%%%%%%    PARAMETERS    %%%%%%%%%%%%%%%%%%%%%%%%%$%
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$%
%$ data (just input data for each lead)                               $%
%$ Qbs (Q sample number)                                              $%
%$ Sbs (S sample number)                                              $%
%$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$%
%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%$%

function [R_peak_peak] = findPeak2Peak(data, Qbs, Sbs)
if length(Qbs) ~= length(Sbs)
  disp('The number of Qs and Ts do not match.');
  R_peak_peak = 0;
  return;
else
  min_QRS = min(data(Qbs:Sbs));
  max_QRS = max(data(Qbs:Sbs));
  R_peak_peak = max_QRS-min_QRS;
end
end

